Subject: FVWM: UPDATE...FVWM2 on solaris 2.6

From: "Nikul Raval" <[email-masked]>
Date: Tue, 19 Mar 2002 12:11:04 -0500

I cannot recreate same problem in CDE.  I can kill my eXceed session in CDE and
my UNIX
session remains intact.   It only happen when user runs FVWM2.  Even when he
logs out normally
from his eXceed session on PC he loses window manager on UNIX.  Somehow upon
exit from PC,
all of his Xsession processes owned by the same id dies.  It can not distinguish
between
"local" versus "remote" sessions and kills Xsun process owned by the user on
UNIX as well.
I looked in system.fvwmrc file in /usr/openwin/lib/X11/fvwm where Quit is
defined.  But it just says Quit.

+ "Exit Fvwm        %mini-stop.xpm%"        Popup   Quit-Verify

Where do I find the script that exits?

----- Forwarded by Nikul Raval/TRYTN/DIAG/US/BAYER on 03/19/02 10:39 AM -----
                                                                                                                                    
                      Nikul Raval                                                                                                   
                                               To:       [email-masked]                                                              
                      03/14/02 04:10 PM        cc:                                                                                  
                                               Subject:  FVWM2 on solaris 2.6                                                       

I've a developer accessing a SPARC20 workstation running Solaris2.6 using exceed
(ver. 6.1).
User is logged on to the workstation running fvwm and then accesses workstation
using eXceed running in
single window mode.  He is running window manager now on PC and workstation.
He claims once in a while when he kills his eXceed session by clicking on "x"
causes his workstation window manager to die and
everything he types in his UNIX windows shows up on Console screen.   Once in a
long while it does this on UNIX workstation (Ultra1)
without eXceed also.
He can open new xterms from the toolbar on UNIX but can't type into any of the
windows.
This goes away when he logs out and logs back in.

Is this a bug?  How do I fix this so next time window manager doesn't die on
UNIX when he kills eXceed session on PC.
How does one restart xserver and get control of the windows without logging out?

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].